# Create Request

## Create Request

> Use the following parameters to create a request.

````json
{"openapi":"3.0.2","info":{"title":"Vault API","version":"1.36.3"},"tags":[{"description":"A Request represents the intent of creating or changing an object in the system.\n\nFor example, when you create a transaction, a *Create transaction* request is created.\n\nYou can observe all the changes in the system via `GET /requests`.\nEvery request has a `target_type` and `target_id` that you can use to fetch\nthe object targeted by this request.\n\nFor example, you can list all requests waiting for approval:\n```\nGET /requests?status=PENDING_APPROVAL\n{\n  \"edges\": [\n    {\n      \"cursor\": 0,\n      \"node\": {\n        \"created_by\": 5,\n        \"created_on\": \"2020-09-25T13:52:38.377654+00:00\",\n        \"expires_at\": \"2020-10-02T13:52:38.377605+00:00\",\n        \"id\": 20,\n        \"status\": \"PENDING_APPROVAL\",\n        \"target_id\": 13,\n        \"target_type\": \"USER\",\n        \"type\": \"REVOKE_USER\"\n      }\n    },\n    {\n      \"cursor\": 1,\n      \"node\": {\n        \"created_by\": 11,\n        \"created_on\": \"2020-09-25T13:52:53.421567+00:00\",\n        \"expires_at\": \"2020-10-02T13:52:53.421502+00:00\",\n        \"id\": 21,\n        \"status\": \"PENDING_APPROVAL\",\n        \"target_id\": 3681,\n        \"target_type\": \"TRANSACTION\",\n        \"type\": \"CREATE_TRANSACTION\"\n      }\n    }\n  ],\n  \"page_info\": {\n    \"count\": 2,\n    \"has_next_page\": false\n  }\n}\n```\nHere we have 2 requests waiting for approval. You can have more info on\nthose 2 objects via\n```\nGET /users/13\nGET /transactions/3681\n```","name":"Requests"}],"security":[{"Ledger_API_Key":[],"Ledger_API_User":[]},{"Ledger_API_Key":[],"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]},{"Ledger_API_User":[]},{"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]}],"components":{"securitySchemes":{"Ledger_API_Key":{"description":"If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, [see step 5 of the get started documentation](https://help.vault.ledger.com/Content/api/api_getstarted.html).","in":"header","name":"X-Ledger-API-Key","type":"apiKey"},"Ledger_API_User":{"description":"(**required**) Username of a registered API User","in":"header","name":"X-Ledger-API-User","type":"apiKey"}},"schemas":{"TransactionCreationRequestDataV2":{"description":"Request data to create a new transaction","properties":{"data":{"description":"Detailed transaction data, varying based on the specific transaction type.","oneOf":[{"$ref":"#/components/schemas/BitcoinSendTransactionCreationData"},{"$ref":"#/components/schemas/EthereumSendTransactionCreationData"},{"$ref":"#/components/schemas/EthereumExecuteContractTransactionCreationData"},{"$ref":"#/components/schemas/EthereumDeployContractTransactionCreationData"},{"$ref":"#/components/schemas/RippleSendTransactionCreationData"},{"$ref":"#/components/schemas/StellarSendTransactionCreationData"},{"$ref":"#/components/schemas/TronSendTransactionCreationData"},{"$ref":"#/components/schemas/TezosSendTransactionCreationData"},{"$ref":"#/components/schemas/CardanoSendTransactionCreationData"},{"$ref":"#/components/schemas/SolanaCreateAssociatedTokenAccountCreationData"},{"$ref":"#/components/schemas/SolanaSendSplTokenTransactionCreationData"},{"$ref":"#/components/schemas/SolanaSendTransactionCreationData"},{"$ref":"#/components/schemas/PolkadotSendTransactionCreationData"},{"$ref":"#/components/schemas/PolkadotBondExtraTransactionCreationData"},{"$ref":"#/components/schemas/PolkadotUnbondTransactionCreationData"},{"$ref":"#/components/schemas/PolkadotRebondTransactionCreationData"},{"$ref":"#/components/schemas/PolkadotSetPayeeTransactionCreationData"},{"$ref":"#/components/schemas/PolkadotWithdrawTransactionCreationData"},{"$ref":"#/components/schemas/PolkadotChillTransactionCreationData"}]},"note":{"allOf":[{"$ref":"#/components/schemas/TransactionOrMessageNote"}],"default":null,"description":"Optional note or annotation for the transaction.","nullable":true},"type":{"description":"Specifies the type of transaction request being made.","enum":["CREATE_TRANSACTION"]}},"required":["data","type"],"type":"object"},"BitcoinSendTransactionCreationData":{"description":"Specific data to create a Bitcoin send transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"fees_strategy":{"description":"The fee strategy for a Bitcoin send transaction.","oneOf":[{"$ref":"#/components/schemas/BitcoinFeesStrategy"},{"$ref":"#/components/schemas/GenericFeesStrategy"}]},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/BitcoinSendTransactionData"}],"description":"Data specific to a Bitcoin send transaction."},"transaction_type":{"description":"Type indicator for Bitcoin-like send transactions.","enum":["BITCOIN_LIKE_SEND"]}},"required":["account_id","fees_strategy","transaction_data","transaction_type"],"type":"object"},"BitcoinFeesStrategy":{"description":"Custom fee strategy for Bitcoin transactions","properties":{"data":{"allOf":[{"$ref":"#/components/schemas/BitcoinFeesStrategyData"}],"description":"Data specific to the Bitcoin fee strategy."},"type":{"description":"Indicates a custom fee strategy for Bitcoin transactions.","enum":["CUSTOM"]}},"required":["data","type"],"type":"object"},"BitcoinFeesStrategyData":{"properties":{"fees_per_byte":{"description":"The fees per byte for the transaction, in the smallest currency unit..","type":"string"}},"required":["fees_per_byte"],"type":"object"},"GenericFeesStrategy":{"description":"Fee strategy based on transaction speed","properties":{"data":{"allOf":[{"$ref":"#/components/schemas/GenericFeesStrategyData"}],"description":"Details of the transaction speed strategy."},"type":{"description":"The type of fee strategy based on transaction speed.","enum":["SPEED"]}},"required":["data","type"],"type":"object"},"GenericFeesStrategyData":{"properties":{"speed":{"description":"The desired speed of the transaction.","enum":["FAST","NORMAL","SLOW"],"type":"string"}},"required":["speed"],"type":"object"},"BitcoinSendTransactionData":{"properties":{"account_name":{"description":"The name of the account initiating the transaction.","type":"string"},"amount":{"description":"The amount to be transferred, in the smallest currency unit.","type":"string"},"currency":{"description":"Specific currency for Bitcoin transactions.","enum":["bitcoin","bitcoin_cash","bitcoin_gold","bitcoin_testnet","dash","digibyte","dogecoin","litecoin"],"type":"string"},"max_fees":{"description":"The maximum fees the user is willing to pay for the transaction, in the smallest currency unit. Set to '0' when estimating transaction fees.","type":"string"},"recipient":{"description":"The recipient's address for the transaction.","type":"string"}},"required":["account_name","amount","currency","max_fees","recipient"],"type":"object"},"EthereumSendTransactionCreationData":{"description":"Specific data to create an Ethereum send transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"fees_strategy":{"description":"The fee strategy for an Ethereum send transaction.","oneOf":[{"$ref":"#/components/schemas/EthereumFeesStrategy"},{"$ref":"#/components/schemas/GenericFeesStrategy"}]},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/EthereumSendTransactionData"}],"description":"Data specific to an Ethereum send transaction."},"transaction_type":{"description":"Type indicator for Ethereum-like send transactions.","enum":["ETHEREUM_LIKE_SEND"]}},"required":["account_id","fees_strategy","transaction_data","transaction_type"],"type":"object"},"EthereumFeesStrategy":{"description":"Custom fee strategy for Ethereum transactions","properties":{"data":{"description":"Data specific to the Ethereum fee strategy.","oneOf":[{"$ref":"#/components/schemas/EthereumFeesStrategyData"},{"$ref":"#/components/schemas/EthereumEIP1559FeesStrategyData"}]},"type":{"description":"Indicates a custom fee strategy for Ethereum transactions.","enum":["CUSTOM"]}},"required":["data","type"],"type":"object"},"EthereumFeesStrategyData":{"properties":{"gas_limit":{"description":"The gas limit for the Ethereum transaction, in the smallest currency unit.","type":"string"},"gas_price":{"description":"The gas price for the Ethereum transaction, in the smallest currency unit.","type":"string"}},"required":["gas_limit","gas_price"],"type":"object"},"EthereumEIP1559FeesStrategyData":{"properties":{"gas_limit":{"description":"The gas limit for the Ethereum transaction, in the smallest currency unit.","type":"string"},"priority_fees":{"description":"The maximum priority fee per gas for the Ethereum transaction, in the smallest currency unit.","type":"string"}},"required":["gas_limit","priority_fees"],"type":"object"},"EthereumSendTransactionData":{"properties":{"account_name":{"description":"The name of the account initiating the transaction.","type":"string"},"amount":{"description":"The amount to be transferred, in the smallest currency unit.","type":"string"},"contract_address":{"default":null,"description":"The contract address of the ERC20 token, in case of a ERC20 send transaction.","nullable":true,"type":"string"},"currency":{"description":"Specific currency for Ethereum transactions.","enum":["arbitrum","arbitrum_goerli","arbitrum_sepolia","avalanche_c_chain","avalanche_c_chain_fuji","base","base_goerli","base_sepolia","bitlayer","blast","blast_sepolia","bsc","celo","celo_alfajores","cronos","cronos_testnet","ethereum","ethereum_classic","ethereum_goerli","ethereum_holesky","ethereum_hoodi","ethereum_pow","ethereum_ropsten","ethereum_sepolia","etherlink","fantom","fantom_testnet","filecoin","filecoin_calibration","flare","flare_coston","hyperevm","katana","kava_evm","kava_evm_testnet","klaytn","klaytn_baobab","komodo","linea","mantle","mantle_sepolia","neon_evm","optimism","optimism_goerli","optimism_sepolia","plume","polygon","polygon_amoy","polygon_mumbai","polygon_zk_evm","polygon_zk_evm_testnet","pulsechain","pulsechain_testnet","scroll","scroll_sepolia","sei_evm","sonic","story","tomo","tomo_testnet","viction","viction_testnet"],"type":"string"},"max_fees":{"description":"The maximum fees the user is willing to pay for the transaction, in the smallest currency unit. Set to '0' when estimating transaction fees.","type":"string"},"recipient":{"description":"The recipient's address for the transaction.","type":"string"}},"required":["account_name","amount","currency","max_fees","recipient"],"type":"object"},"EthereumExecuteContractTransactionCreationData":{"description":"Specific data to create an Ethereum execute contract transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"fees_strategy":{"description":"The fee strategy for an Ethereum execute contract transaction.","oneOf":[{"$ref":"#/components/schemas/EthereumFeesStrategy"},{"$ref":"#/components/schemas/GenericFeesStrategy"}]},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/EthereumSCITransactionData"}],"description":"Data specific to an Ethereum execute contract transaction."},"transaction_type":{"description":"Type indicator for Ethereum-like execute contract transactions.","enum":["ETHEREUM_LIKE_EXECUTE_CONTRACT"]}},"required":["account_id","fees_strategy","transaction_data","transaction_type"],"type":"object"},"EthereumSCITransactionData":{"properties":{"account_name":{"description":"The name of the account initiating the transaction.","type":"string"},"amount":{"description":"The amount to be transferred, in the smallest currency unit.","type":"string"},"contract_data":{"default":null,"nullable":true,"oneOf":[{"$ref":"#/components/schemas/SCIData"},{"type":"string"}]},"currency":{"description":"Specific currency for Ethereum Smart Contract transactions.","enum":["arbitrum","arbitrum_goerli","arbitrum_sepolia","avalanche_c_chain","avalanche_c_chain_fuji","base","base_goerli","base_sepolia","bitlayer","blast","blast_sepolia","bsc","celo","celo_alfajores","cronos","cronos_testnet","ethereum","ethereum_classic","ethereum_goerli","ethereum_holesky","ethereum_hoodi","ethereum_pow","ethereum_ropsten","ethereum_sepolia","etherlink","fantom","fantom_testnet","filecoin","filecoin_calibration","flare","flare_coston","hyperevm","katana","kava_evm","kava_evm_testnet","klaytn","klaytn_baobab","komodo","linea","mantle","mantle_sepolia","neon_evm","optimism","optimism_goerli","optimism_sepolia","plume","polygon","polygon_amoy","polygon_mumbai","polygon_zk_evm","polygon_zk_evm_testnet","pulsechain","pulsechain_testnet","scroll","scroll_sepolia","sei_evm","sonic","story","tomo","tomo_testnet","viction","viction_testnet"],"type":"string"},"encoded_contract_data":{"default":null,"description":"(DEPRECATED) Encoded data for the smart contract interaction. This field is deprecated and will be removed in the future. Use contract_data instead.","nullable":true,"type":"string"},"max_fees":{"description":"The maximum fees the user is willing to pay for the transaction, in the smallest currency unit. Set to '0' when estimating transaction fees.","type":"string"},"recipient":{"description":"The recipient's address for the transaction.","type":"string"}},"required":["account_name","amount","currency","max_fees","recipient"],"type":"object"},"SCIData":{"properties":{"abi":{"default":null,"description":"The array of function, event, and error descriptions in JSON format, representing the contract’s interface according to the ABI Specification.","items":{"additionalProperties":{"nullable":true},"type":"object"},"nullable":true,"type":"array"},"function_arguments":{"additionalProperties":{"nullable":true},"default":null,"description":"The JSON object with the arguments for the smart contract function execution, according to the provided contract_abi.","nullable":true,"type":"object"},"function_name":{"default":null,"description":"Name of the contract method to call","nullable":true,"type":"string"}},"type":"object"},"EthereumDeployContractTransactionCreationData":{"description":"Specific data to create an Ethereum deploy contract transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"fees_strategy":{"description":"The fee strategy for an Ethereum deploy contract transaction.","oneOf":[{"$ref":"#/components/schemas/EthereumFeesStrategy"},{"$ref":"#/components/schemas/GenericFeesStrategy"}]},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/EthereumSCDTransactionData"}],"description":"Data specific to an Ethereum deploy smart contract."},"transaction_type":{"description":"Type indicator for Ethereum-like deploy contract transactions.","enum":["ETHEREUM_LIKE_DEPLOY_CONTRACT"]}},"required":["account_id","fees_strategy","transaction_data","transaction_type"],"type":"object"},"EthereumSCDTransactionData":{"properties":{"account_name":{"description":"The name of the account initiating the transaction.","type":"string"},"amount":{"default":null,"description":"The amount to be transferred, in the smallest currency unit.","nullable":true,"type":"string"},"currency":{"description":"Specific currency for Ethereum Smart Contract deployment.","enum":["arbitrum","arbitrum_goerli","arbitrum_sepolia","avalanche_c_chain","avalanche_c_chain_fuji","base","base_goerli","base_sepolia","bitlayer","blast","blast_sepolia","bsc","celo","celo_alfajores","cronos","cronos_testnet","ethereum","ethereum_classic","ethereum_goerli","ethereum_holesky","ethereum_hoodi","ethereum_pow","ethereum_ropsten","ethereum_sepolia","etherlink","fantom","fantom_testnet","filecoin","filecoin_calibration","flare","flare_coston","hyperevm","katana","kava_evm","kava_evm_testnet","klaytn","klaytn_baobab","komodo","linea","mantle","mantle_sepolia","neon_evm","optimism","optimism_goerli","optimism_sepolia","plume","polygon","polygon_amoy","polygon_mumbai","polygon_zk_evm","polygon_zk_evm_testnet","pulsechain","pulsechain_testnet","scroll","scroll_sepolia","sei_evm","sonic","story","tomo","tomo_testnet","viction","viction_testnet"],"type":"string"},"encoded_contract_bytecode":{"description":"Encoded bytecode for the smart contract deployment.","type":"string"},"max_fees":{"description":"The maximum fees the user is willing to pay for the transaction, in the smallest currency unit. Set to '0' when estimating transaction fees.","type":"string"}},"required":["account_name","currency","encoded_contract_bytecode","max_fees"],"type":"object"},"RippleSendTransactionCreationData":{"description":"Specific data to create a Ripple send transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"fees_strategy":{"allOf":[{"$ref":"#/components/schemas/GenericFeesStrategy"}],"description":"Strategy for calculating transaction fees."},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/RippleSendTransactionData"}],"description":"Data specific to a Ripple send transaction."},"transaction_type":{"description":"Type indicator for Ripple-like send transactions.","enum":["RIPPLE_LIKE_SEND"]}},"required":["account_id","fees_strategy","transaction_data","transaction_type"],"type":"object"},"RippleSendTransactionData":{"properties":{"account_name":{"description":"The name of the account initiating the transaction.","type":"string"},"amount":{"description":"The amount to be transferred, in the smallest currency unit.","type":"string"},"currency":{"description":"Specific currency for Ripple transactions.","enum":["ripple"]},"max_fees":{"description":"The maximum fees the user is willing to pay for the transaction, in the smallest currency unit. Set to '0' when estimating transaction fees.","type":"string"},"recipient":{"description":"The recipient's address for the transaction.","type":"string"},"tag":{"default":null,"description":"Destination tag for identifying Ripple transactions.","nullable":true,"type":"integer"}},"required":["account_name","amount","currency","max_fees","recipient"],"type":"object"},"StellarSendTransactionCreationData":{"description":"Specific data to create a Stellar send transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"fees_strategy":{"allOf":[{"$ref":"#/components/schemas/GenericFeesStrategy"}],"description":"Strategy for calculating transaction fees."},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/StellarSendTransactionData"}],"description":"Data specific to a Stellar send transaction."},"transaction_type":{"description":"Type indicator for Stellar-like send transactions.","enum":["STELLAR_LIKE_SEND"]}},"required":["account_id","fees_strategy","transaction_data","transaction_type"],"type":"object"},"StellarSendTransactionData":{"properties":{"account_name":{"description":"The name of the account initiating the transaction.","type":"string"},"amount":{"description":"The amount to be transferred, in the smallest currency unit.","type":"string"},"currency":{"description":"Specific currency for Stellar transactions.","enum":["stellar"]},"max_fees":{"description":"The maximum fees the user is willing to pay for the transaction, in the smallest currency unit. Set to '0' when estimating transaction fees.","type":"string"},"memo":{"default":null,"description":"A valid memo for the Stellar transaction. See https://developers.stellar.org/docs/glossary/transactions/#memo.","nullable":true,"oneOf":[{"$ref":"#/components/schemas/StellarMemoHash1"},{"$ref":"#/components/schemas/StellarMemoId1"},{"$ref":"#/components/schemas/StellarMemoReturn1"},{"$ref":"#/components/schemas/StellarMemoText1"}]},"recipient":{"description":"The recipient's address for the transaction.","type":"string"}},"required":["account_name","amount","currency","max_fees","recipient"],"type":"object"},"StellarMemoHash1":{"properties":{"MEMO_HASH":{"description":"Transaction Hash Memo (64 bytes hexadecimal string)","maxLength":64,"minLength":64,"type":"string"}},"required":["MEMO_HASH"],"type":"object"},"StellarMemoId1":{"properties":{"MEMO_ID":{"description":"Id Memo (unsigned 64 bits integer)","maximum":18446744073709552000,"minimum":0,"type":"integer"}},"required":["MEMO_ID"],"type":"object"},"StellarMemoReturn1":{"properties":{"MEMO_RETURN":{"description":"A 64 bytes hexadecimal string intended to be interpreted as the hash of the transaction the sender is refunding.","maxLength":64,"minLength":64,"type":"string"}},"required":["MEMO_RETURN"],"type":"object"},"StellarMemoText1":{"properties":{"MEMO_TEXT":{"description":"Text Memo (at most a 28 bytes string)","maxLength":28,"minLength":0,"type":"string"}},"required":["MEMO_TEXT"],"type":"object"},"TronSendTransactionCreationData":{"description":"Specific data to create a Tron send transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"fees_strategy":{"allOf":[{"$ref":"#/components/schemas/GenericFeesStrategy"}],"description":"Strategy for calculating transaction fees."},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/TronSendTransactionData"}],"description":"Data specific to a Tron send transaction."},"transaction_type":{"description":"Type indicator for Tron-like send transactions.","enum":["TRON_LIKE_SEND"]}},"required":["account_id","fees_strategy","transaction_data","transaction_type"],"type":"object"},"TronSendTransactionData":{"properties":{"account_name":{"description":"The name of the account initiating the transaction.","type":"string"},"amount":{"description":"The amount to be transferred, in the smallest currency unit.","type":"string"},"contract_address":{"default":null,"description":"The contract address of the TRC20 token.","nullable":true,"type":"string"},"currency":{"description":"Specific currency for Tron transactions.","enum":["tron"]},"max_fees":{"description":"The maximum fees the user is willing to pay for the transaction, in the smallest currency unit. Set to '0' when estimating transaction fees.","type":"string"},"recipient":{"description":"The recipient's address for the transaction.","type":"string"}},"required":["account_name","amount","currency","max_fees","recipient"],"type":"object"},"TezosSendTransactionCreationData":{"description":"Specific data to create a Tezos send transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"fees_strategy":{"allOf":[{"$ref":"#/components/schemas/GenericFeesStrategy"}],"description":"Strategy for calculating transaction fees."},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/TezosSendTransactionData"}],"description":"Data specific to a Tezos send transaction."},"transaction_type":{"description":"Type indicator for Tezos-like send transactions.","enum":["TEZOS_LIKE_SEND"]}},"required":["account_id","fees_strategy","transaction_data","transaction_type"],"type":"object"},"TezosSendTransactionData":{"properties":{"account_name":{"description":"The name of the account initiating the transaction.","type":"string"},"amount":{"description":"The amount to be transferred, in the smallest currency unit.","type":"string"},"currency":{"description":"Specific currency for Tezos transactions.","enum":["tezos"]},"max_fees":{"description":"The maximum fees the user is willing to pay for the transaction, in the smallest currency unit. Set to '0' when estimating transaction fees.","type":"string"},"recipient":{"description":"The recipient's address for the transaction.","type":"string"}},"required":["account_name","amount","currency","max_fees","recipient"],"type":"object"},"CardanoSendTransactionCreationData":{"description":"Specific data to create a Cardano send transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"fees_strategy":{"allOf":[{"$ref":"#/components/schemas/GenericFeesStrategy"}],"description":"Strategy for calculating transaction fees."},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/CardanoSendTransactionData"}],"description":"Data specific to a Cardano send transaction."},"transaction_type":{"description":"Type indicator for Cardano-like send transactions.","enum":["CARDANO_LIKE_SEND"]}},"required":["account_id","fees_strategy","transaction_data","transaction_type"],"type":"object"},"CardanoSendTransactionData":{"properties":{"account_name":{"description":"The name of the account initiating the transaction.","type":"string"},"amount":{"description":"The amount to be transferred, in the smallest currency unit.","type":"string"},"currency":{"description":"Specific currency for Cardano transactions.","enum":["cardano"]},"max_fees":{"description":"The maximum fees the user is willing to pay for the transaction, in the smallest currency unit. Set to '0' when estimating transaction fees.","type":"string"},"recipient":{"description":"The recipient's address for the transaction.","type":"string"}},"required":["account_name","amount","currency","max_fees","recipient"],"type":"object"},"SolanaCreateAssociatedTokenAccountCreationData":{"description":"Specific data to create a Solana SPL token account creation transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/SolanaCreateAssociatedTokenAccountTransactionData"}],"description":"Data create SPL token account."},"transaction_type":{"description":"Type indicator for Solana-like token account creation transactions.","enum":["SOLANA_LIKE_CREATE_SPL_TOKEN_ACCOUNT"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"SolanaCreateAssociatedTokenAccountTransactionData":{"properties":{"account_name":{"description":"Sender account name for Solana transaction.","type":"string"},"currency":{"description":"Account currency for Solana transactions.","enum":["solana","solana_devnet","solana_testnet"]},"max_priority_fee":{"default":null,"description":"Max priority fee to use for the transaction. Please refer to the `recommended_max_priority_fees` field from fee estimation or choose your own value. Once the feature is enabled, this field will become mandatory.","nullable":true,"type":"string"},"token_mint":{"description":"The token mint address of the token to create an account for","type":"string"}},"required":["account_name","currency","token_mint"],"type":"object"},"SolanaSendSplTokenTransactionCreationData":{"description":"Specific data to create a Solana SPL token send transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/SolanaSendSplTokenTransactionData"}],"description":"Data to send SPL tokens."},"transaction_type":{"description":"Type indicator for Solana-like light token send transactions.","enum":["SOLANA_LIKE_SEND_SPL_TOKEN_CHECKED"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"SolanaSendSplTokenTransactionData":{"properties":{"account_name":{"description":"Sender account name for Solana transaction.","type":"string"},"amount":{"description":"Transaction amount for Solana, in the smallest currency unit.","type":"string"},"currency":{"description":"Account currency for Solana transactions.","enum":["solana","solana_devnet","solana_testnet"]},"max_priority_fee":{"default":null,"description":"Max priority fee to use for the transaction. Please refer to the `recommended_max_priority_fees` field from fee estimation or choose your own value. Once the feature is enabled, this field will become mandatory.","nullable":true,"type":"string"},"recipient":{"description":"Transaction recipient address for Solana.","type":"string"},"token_mint":{"description":"The token mint address of the token to interact with","type":"string"}},"required":["account_name","amount","currency","recipient","token_mint"],"type":"object"},"SolanaSendTransactionCreationData":{"description":"Specific data to create a Solana send transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/SolanaSendTransactionData"}],"description":"Data specific to a Solana send transaction."},"transaction_type":{"description":"Type indicator for Solana-like send transactions.","enum":["SOLANA_LIKE_SEND"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"SolanaSendTransactionData":{"properties":{"account_name":{"description":"Sender account name for Solana transaction.","type":"string"},"amount":{"description":"Transaction amount for Solana, in the smallest currency unit.","type":"string"},"currency":{"description":"Account currency for Solana transactions.","enum":["solana","solana_devnet","solana_testnet"]},"max_priority_fee":{"default":null,"description":"Max priority fee to use for the transaction. Please refer to the `recommended_max_priority_fees` field from fee estimation or choose your own value. Once the feature is enabled, this field will become mandatory.","nullable":true,"type":"string"},"recipient":{"description":"Transaction recipient address for Solana.","type":"string"}},"required":["account_name","amount","currency","recipient"],"type":"object"},"PolkadotSendTransactionCreationData":{"description":"Specific data to create a Polkadot send transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/PolkadotSendTransactionData"}],"description":"Data specific to a Polkadot send transaction."},"transaction_type":{"description":"Type indicator for Polkadot-like send transactions.","enum":["POLKADOT_LIKE_SEND"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"PolkadotSendTransactionData":{"properties":{"account_name":{"description":"Account name to execute transaction.","type":"string"},"amount":{"description":"Transaction amount for Polkadot, in the smallest currency unit.","type":"string"},"currency":{"description":"Account currency for Polkadot transactions.","enum":["polkadot","westend"]},"recipient":{"description":"Transaction recipient address for Polkadot.","type":"string"}},"required":["account_name","amount","currency","recipient"],"type":"object"},"PolkadotBondExtraTransactionCreationData":{"description":"Specific data to create a Polkadot bond extra transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/PolkadotBondExtraStakingTransactionData"}],"description":"Data specific to a Polkadot bond extra transaction."},"transaction_type":{"description":"Type indicator for Polkadot-like bond extra staking transactions.","enum":["POLKADOT_LIKE_BONDEXTRA"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"PolkadotBondExtraStakingTransactionData":{"properties":{"account_name":{"description":"Account name to execute transaction.","type":"string"},"amount":{"description":"Amount for Polkadot bond extra transaction, in the smallest currency unit.","type":"string"},"currency":{"description":"Account currency for Polkadot transactions.","enum":["polkadot","westend"]}},"required":["account_name","amount","currency"],"type":"object"},"PolkadotUnbondTransactionCreationData":{"description":"Specific data to create a Polkadot unbond transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/PolkadotUnbondStakingTransactionData"}],"description":"Data specific to a Polkadot unbond transaction."},"transaction_type":{"description":"Type indicator for Polkadot-like unbond staking transactions.","enum":["POLKADOT_LIKE_UNBOND"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"PolkadotUnbondStakingTransactionData":{"properties":{"account_name":{"description":"Account name to execute transaction.","type":"string"},"amount":{"description":"Amount for Polkadot unbond transaction, in the smallest currency unit.","type":"string"},"currency":{"description":"Account currency for Polkadot transactions.","enum":["polkadot","westend"]}},"required":["account_name","amount","currency"],"type":"object"},"PolkadotRebondTransactionCreationData":{"description":"Specific data to create a Polkadot rebond transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/PolkadotRebondStakingTransactionData"}],"description":"Data specific to a Polkadot rebond transaction."},"transaction_type":{"description":"Type indicator for Polkadot-like rebond staking transactions.","enum":["POLKADOT_LIKE_REBOND"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"PolkadotRebondStakingTransactionData":{"properties":{"account_name":{"description":"Account name to execute transaction.","type":"string"},"amount":{"description":"Amount for Polkadot rebond transaction, in the smallest currency unit.","type":"string"},"currency":{"description":"Account currency for Polkadot transactions.","enum":["polkadot","westend"]}},"required":["account_name","amount","currency"],"type":"object"},"PolkadotSetPayeeTransactionCreationData":{"description":"Specific data to create a Polkadot set payee transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/PolkadotSetPayeeStakingTransactionData"}],"description":"Data specific to a Polkadot set payee transaction."},"transaction_type":{"description":"Type indicator for Polkadot-like set payee staking transactions.","enum":["POLKADOT_LIKE_SETPAYEE"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"PolkadotSetPayeeStakingTransactionData":{"properties":{"account_name":{"description":"Account name to execute transaction.","type":"string"},"currency":{"description":"Account currency for Polkadot transactions.","enum":["polkadot","westend"]},"payee":{"description":"The new payee for the staking rewards.","enum":["Staked","Stash"],"type":"string"}},"required":["account_name","currency","payee"],"type":"object"},"PolkadotWithdrawTransactionCreationData":{"description":"Specific data to create a Polkadot withdraw transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/PolkadotWithdrawStakingTransactionData"}],"description":"Data specific to a Polkadot withdraw transaction."},"transaction_type":{"description":"Type indicator for Polkadot-like withdraw staking transactions.","enum":["POLKADOT_LIKE_WITHDRAWUNBONDED"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"PolkadotWithdrawStakingTransactionData":{"properties":{"account_name":{"description":"Account name to execute transaction.","type":"string"},"currency":{"description":"Account currency for Polkadot transactions.","enum":["polkadot","westend"]}},"required":["account_name","currency"],"type":"object"},"PolkadotChillTransactionCreationData":{"description":"Specific data to create a Polkadot chill transaction","properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/PolkadotChillStakingTransactionData"}],"description":"Data specific to a Polkadot chill transaction."},"transaction_type":{"description":"Type indicator for Polkadot-like chill staking transactions.","enum":["POLKADOT_LIKE_CHILL"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"PolkadotChillStakingTransactionData":{"properties":{"account_name":{"description":"Account name to execute transaction.","type":"string"},"currency":{"description":"Account currency for Polkadot transactions.","enum":["polkadot","westend"]}},"required":["account_name","currency"],"type":"object"},"TransactionOrMessageNote":{"properties":{"content":{"type":"string"},"title":{"type":"string"}},"required":["content","title"],"type":"object"},"MessageSigningRequestData":{"description":"Request data to create a new message signing","properties":{"data":{"allOf":[{"$ref":"#/components/schemas/MessageSigningData"}],"description":"Detailed message data"},"note":{"allOf":[{"$ref":"#/components/schemas/TransactionOrMessageNote"}],"default":null,"description":"Optional note or annotation for the message.","nullable":true},"type":{"description":"Specifie the type of request","enum":["CREATE_MESSAGE_SIGNING"]}},"required":["data","type"],"type":"object"},"MessageSigningData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"message_data":{"allOf":[{"$ref":"#/components/schemas/MessageData"}],"description":"Detailed data about the message"},"message_type":{"description":"The type of message to sign","enum":["EIP-191"]}},"required":["account_id","message_data","message_type"],"type":"object"},"MessageData":{"properties":{"account_name":{"description":"The name of the account initiating the transaction.","type":"string"},"address":{"default":null,"description":"The address to use to sign the message","nullable":true,"type":"string"},"raw_message":{"description":"The raw message to sign (not hex encoded)","type":"string"}},"required":["account_name","raw_message"],"type":"object"},"PledgeIncrementRequestData":{"description":"Request data to create a new pledge increment","properties":{"data":{"allOf":[{"$ref":"#/components/schemas/PledgeIncrementRequestDataDetails"}],"description":"Detailed transaction data, varying based on the specific transaction type."},"type":{"description":"Specifies the type of request being made.","enum":["CREATE_PLEDGE_INCREMENT"]}},"required":["data","type"],"type":"object"},"PledgeIncrementRequestDataDetails":{"properties":{"pledge_data":{"allOf":[{"$ref":"#/components/schemas/IncrementDetails"}],"description":"The details of the increment."},"pledge_subaccount_id":{"description":"The identifier of the pledge account.","type":"integer"}},"required":["pledge_data","pledge_subaccount_id"],"type":"object"},"IncrementDetails":{"properties":{"account_name":{"description":"The name of the account.","type":"string"},"amount":{"description":"The amount of the increment.","type":"string"},"contract_address":{"default":null,"description":"The contract address for a token.","nullable":true,"type":"string"},"currency":{"description":"The currency of the increment.","type":"string"},"exchange_name":{"description":"The name of the exchange.","type":"string"}},"required":["account_name","amount","currency","exchange_name"],"type":"object"},"ForcedUnpledgeRequestData":{"description":"Request data to create a new forced unpledge","properties":{"data":{"allOf":[{"$ref":"#/components/schemas/ForcedUnpledgeRequestDataDetails"}],"description":"Detailed forced unpledge data."},"type":{"description":"Specifies the type of request being made.","enum":["CREATE_FORCED_UNPLEDGE"]}},"required":["data","type"],"type":"object"},"ForcedUnpledgeRequestDataDetails":{"properties":{"forced_unpledge_data":{"allOf":[{"$ref":"#/components/schemas/ForcedUnpledgeDetails"}],"description":"The details of the forced unpledge."},"pledge_subaccount_id":{"description":"The identifier of the pledge account.","type":"integer"}},"required":["forced_unpledge_data","pledge_subaccount_id"],"type":"object"},"ForcedUnpledgeDetails":{"properties":{"account_name":{"description":"The name of the account.","type":"string"},"currency":{"description":"The currency of the increment.","type":"string"},"exchange_name":{"description":"The name of the exchange.","type":"string"}},"required":["account_name","currency","exchange_name"],"type":"object"},"AccountCreationRequestData":{"description":"Request data to create a new account","properties":{"data":{"description":"Detailed account data, varying based on the specific account type.","oneOf":[{"$ref":"#/components/schemas/BitcoinAccountCreationData"},{"$ref":"#/components/schemas/EthereumAccountCreationData"},{"$ref":"#/components/schemas/Erc20AccountCreationData"},{"$ref":"#/components/schemas/RippleAccountCreationData"},{"$ref":"#/components/schemas/StellarAccountCreationData"},{"$ref":"#/components/schemas/TronAccountCreationData"},{"$ref":"#/components/schemas/Trc20AccountCreationData"},{"$ref":"#/components/schemas/PolkadotAccountCreationData"},{"$ref":"#/components/schemas/TezosAccountCreationData"},{"$ref":"#/components/schemas/SolanaAccountCreationData"},{"$ref":"#/components/schemas/CardanoAccountCreationData"}]},"type":{"description":"Specifies the type of request being made.","enum":["CREATE_ACCOUNT"]}},"required":["data","type"],"type":"object"},"BitcoinAccountCreationData":{"description":"Specific data to create Bitcoin account","properties":{"account_data":{"$ref":"#/components/schemas/BitcoinAccountData"},"account_type":{"enum":["BITCOIN_LIKE"]}},"required":["account_data","account_type"],"type":"object"},"BitcoinAccountData":{"properties":{"currency":{"enum":["bitcoin","bitcoin_cash","bitcoin_gold","bitcoin_testnet","dash","digibyte","dogecoin","litecoin"],"type":"string"},"index":{"type":"integer"},"name":{"type":"string"},"policy_name":{"type":"string"}},"required":["currency","index","name","policy_name"],"type":"object"},"EthereumAccountCreationData":{"description":"Specific data to create Ethereum account","properties":{"account_data":{"$ref":"#/components/schemas/EthereumAccountData"},"account_type":{"enum":["ETHEREUM_LIKE"]}},"required":["account_data","account_type"],"type":"object"},"EthereumAccountData":{"properties":{"currency":{"enum":["arbitrum","arbitrum_goerli","arbitrum_sepolia","avalanche_c_chain","avalanche_c_chain_fuji","base","base_goerli","base_sepolia","bitlayer","blast","blast_sepolia","bsc","celo","celo_alfajores","cronos","cronos_testnet","ethereum","ethereum_classic","ethereum_goerli","ethereum_holesky","ethereum_hoodi","ethereum_pow","ethereum_ropsten","ethereum_sepolia","etherlink","fantom","fantom_testnet","flare","flare_coston","hyperevm","katana","kava_evm","kava_evm_testnet","klaytn","klaytn_baobab","linea","mantle","mantle_sepolia","neon_evm","optimism","optimism_goerli","optimism_sepolia","plume","polygon","polygon_amoy","polygon_mumbai","polygon_zk_evm","polygon_zk_evm_testnet","pulsechain","pulsechain_testnet","scroll","scroll_sepolia","sei_evm","sonic","story","tomo","tomo_testnet","viction","viction_testnet"],"type":"string"},"index":{"type":"integer"},"name":{"type":"string"},"policy_name":{"type":"string"}},"required":["currency","index","name","policy_name"],"type":"object"},"Erc20AccountCreationData":{"description":"Specific data to create Erc20 account","properties":{"account_data":{"$ref":"#/components/schemas/Erc20AccountData"},"account_type":{"enum":["ERC20_LIKE"]}},"required":["account_data","account_type"],"type":"object"},"Erc20AccountData":{"properties":{"contract_address":{"type":"string"},"currency":{"enum":["arbitrum","arbitrum_goerli","arbitrum_sepolia","avalanche_c_chain","avalanche_c_chain_fuji","base","base_goerli","base_sepolia","bitlayer","blast","blast_sepolia","bsc","celo","celo_alfajores","cronos","cronos_testnet","ethereum","ethereum_classic","ethereum_goerli","ethereum_holesky","ethereum_hoodi","ethereum_pow","ethereum_ropsten","ethereum_sepolia","etherlink","fantom","fantom_testnet","flare","flare_coston","hyperevm","katana","kava_evm","kava_evm_testnet","klaytn","klaytn_baobab","linea","mantle","mantle_sepolia","neon_evm","optimism","optimism_goerli","optimism_sepolia","plume","polygon","polygon_amoy","polygon_mumbai","polygon_zk_evm","polygon_zk_evm_testnet","pulsechain","pulsechain_testnet","scroll","scroll_sepolia","sei_evm","sonic","story","tomo","tomo_testnet","viction","viction_testnet"],"type":"string"},"index":{"type":"integer"},"name":{"type":"string"},"parent_id":{"type":"integer"},"policy_name":{"type":"string"}},"required":["contract_address","currency","index","name","parent_id","policy_name"],"type":"object"},"RippleAccountCreationData":{"description":"Specific data to create Ripple account","properties":{"account_data":{"$ref":"#/components/schemas/RippleAccountData"},"account_type":{"enum":["RIPPLE_LIKE"]}},"required":["account_data","account_type"],"type":"object"},"RippleAccountData":{"properties":{"currency":{"enum":["ripple"]},"index":{"type":"integer"},"name":{"type":"string"},"policy_name":{"type":"string"}},"required":["currency","index","name","policy_name"],"type":"object"},"StellarAccountCreationData":{"description":"Specific data to create Stellar account","properties":{"account_data":{"$ref":"#/components/schemas/StellarAccountData"},"account_type":{"enum":["STELLAR_LIKE"]}},"required":["account_data","account_type"],"type":"object"},"StellarAccountData":{"properties":{"currency":{"enum":["stellar"]},"index":{"type":"integer"},"name":{"type":"string"},"policy_name":{"type":"string"}},"required":["currency","index","name","policy_name"],"type":"object"},"TronAccountCreationData":{"description":"Specific data to create Tron account","properties":{"account_data":{"$ref":"#/components/schemas/TronAccountData"},"account_type":{"enum":["TRON_LIKE"]}},"required":["account_data","account_type"],"type":"object"},"TronAccountData":{"properties":{"currency":{"enum":["tron","tron_testnet"],"type":"string"},"index":{"type":"integer"},"name":{"type":"string"},"policy_name":{"type":"string"}},"required":["currency","index","name","policy_name"],"type":"object"},"Trc20AccountCreationData":{"description":"Specific data to create Trc20 account","properties":{"account_data":{"$ref":"#/components/schemas/Trc20AccountData"},"account_type":{"enum":["TRC20_LIKE"]}},"required":["account_data","account_type"],"type":"object"},"Trc20AccountData":{"properties":{"contract_address":{"type":"string"},"currency":{"enum":["tron","tron_testnet"],"type":"string"},"index":{"type":"integer"},"name":{"type":"string"},"parent_id":{"type":"integer"},"policy_name":{"type":"string"}},"required":["contract_address","currency","index","name","parent_id","policy_name"],"type":"object"},"PolkadotAccountCreationData":{"description":"Specific data to create Polkadot account","properties":{"account_data":{"$ref":"#/components/schemas/PolkadotAccountData"},"account_type":{"enum":["POLKADOT_LIKE"]}},"required":["account_data","account_type"],"type":"object"},"PolkadotAccountData":{"properties":{"currency":{"enum":["polkadot","westend"],"type":"string"},"index":{"type":"integer"},"name":{"type":"string"},"policy_name":{"type":"string"}},"required":["currency","index","name","policy_name"],"type":"object"},"TezosAccountCreationData":{"description":"Specific data to create Tezos account","properties":{"account_data":{"$ref":"#/components/schemas/TezosAccountData"},"account_type":{"enum":["TEZOS_LIKE"]}},"required":["account_data","account_type"],"type":"object"},"TezosAccountData":{"properties":{"currency":{"enum":["tezos"]},"index":{"type":"integer"},"name":{"type":"string"},"policy_name":{"type":"string"}},"required":["currency","index","name","policy_name"],"type":"object"},"SolanaAccountCreationData":{"description":"Specific data to create Solana account","properties":{"account_data":{"$ref":"#/components/schemas/SolanaAccountData"},"account_type":{"enum":["SOLANA_LIKE"]}},"required":["account_data","account_type"],"type":"object"},"SolanaAccountData":{"properties":{"currency":{"enum":["solana","solana_devnet","solana_testnet"],"type":"string"},"index":{"type":"integer"},"name":{"type":"string"},"policy_name":{"type":"string"}},"required":["currency","index","name","policy_name"],"type":"object"},"CardanoAccountCreationData":{"description":"Specific data to create Cardano account","properties":{"account_data":{"$ref":"#/components/schemas/CardanoAccountData"},"account_type":{"enum":["CARDANO_LIKE"]}},"required":["account_data","account_type"],"type":"object"},"CardanoAccountData":{"properties":{"currency":{"enum":["cardano"]},"index":{"type":"integer"},"name":{"type":"string"},"policy_name":{"type":"string"}},"required":["currency","index","name","policy_name"],"type":"object"},"DigestSigningRequestData":{"description":"Request data to sign digests","properties":{"data":{"allOf":[{"$ref":"#/components/schemas/DigestSigningData"}],"description":"The data to be signed"},"note":{"allOf":[{"$ref":"#/components/schemas/TransactionOrMessageNote"}],"default":null,"description":"Optional note or annotation for the transaction.","nullable":true},"type":{"description":"Specify the type of the request","enum":["SIGN_DIGESTS"]}},"required":["data","type"],"type":"object"},"DigestSigningData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"digests_data":{"allOf":[{"$ref":"#/components/schemas/DigestsData"}],"description":"Detailed data about the digests to be signed"}},"required":["account_id","digests_data"],"type":"object"},"DigestsData":{"properties":{"account_name":{"description":"The name of the account initiating the signature.","type":"string"},"digests":{"description":"List of digests to be signed","items":{"$ref":"#/components/schemas/ToSignDigest"},"type":"array"}},"required":["account_name","digests"],"type":"object"},"ToSignDigest":{"properties":{"derivation_path":{"description":"The full derivation path to sign the digests","type":"string"},"digest":{"description":"A HexString digests. For currencies that use secp256K1, string must be 32 bytes long","type":"string"}},"required":["derivation_path","digest"],"type":"object"},"VaultRequest":{"properties":{"created_by":{"allOf":[{"$ref":"#/components/schemas/VaultLiteModel"}],"default":null,"nullable":true},"created_on":{"format":"date-time","type":"string"},"expired_at":{"format":"date-time","type":"string"},"id":{"type":"integer"},"status":{"enum":["ABORTED","ACTIVE","APPROVED","BLOCKED","EXPIRED","PENDING_APPROVAL","PENDING_FIRST_APPROVAL","PENDING_REGISTRATION","SIGNED","SUBMITTED"],"type":"string"},"target_id":{"type":"integer"},"target_type":{"type":"string"},"type":{"type":"string"},"used_admin_group":{"default":null,"description":"Admin Group used to create and approve the request","nullable":true,"type":"integer"}},"required":["created_on","expired_at","id","status","target_id","target_type","type"],"type":"object"},"VaultLiteModel":{"properties":{"id":{"type":"integer"}},"required":["id"],"type":"object"},"Error":{"properties":{"message":{"type":"string"},"name":{"type":"string"},"status_code":{"type":"integer"}},"required":["message","name","status_code"],"type":"object"}}},"paths":{"/requests":{"post":{"summary":"Create Request","tags":["Requests"],"description":"Use the following parameters to create a request.","requestBody":{"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/TransactionCreationRequestDataV2"},{"$ref":"#/components/schemas/MessageSigningRequestData"},{"$ref":"#/components/schemas/PledgeIncrementRequestData"},{"$ref":"#/components/schemas/ForcedUnpledgeRequestData"},{"$ref":"#/components/schemas/AccountCreationRequestData"},{"$ref":"#/components/schemas/DigestSigningRequestData"}],"discriminator":{"mapping":{"CREATE_ACCOUNT":"#/components/schemas/AccountCreationRequestData","CREATE_FORCED_UNPLEDGE":"#/components/schemas/ForcedUnpledgeRequestData","CREATE_MESSAGE_SIGNING":"#/components/schemas/MessageSigningRequestData","CREATE_PLEDGE_INCREMENT":"#/components/schemas/PledgeIncrementRequestData","CREATE_TRANSACTION":"#/components/schemas/TransactionCreationRequestDataV2","SIGN_DIGEST":"#/components/schemas/DigestSigningRequestData"},"propertyName":"type"}}}},"description":"request creation payload","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VaultRequest"}}},"description":"Request result"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request data"}}}}}}
````


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.enterprise.ledger.com/api-documentation/reference/api-reference/requests/create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
